Adds a meter to a route
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| routeId | The identifier for the route to add the meters to | integer (int32) | Required |
Request Body
RouteMeter
| Property | Description | Type |
|---|---|---|
| displayOrder | The display order for this route meter | integer (int32) |
| meterId | The identifier for the meter Required | integer (int32) |
Example Request Body
{ "displayOrder": 1, "meterId": 1
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
RouteResponse
| Property | Description | Type |
|---|---|---|
| numberOfMeters | The number of meters assigned to this route | integer (int32) |
| routeCode | The route code | string |
| routeId | The route identifier | integer (int32) |
| routeInfo | The route info | string |
Example Response
{ "numberOfMeters": 1, "routeCode": "string", "routeId": 1, "routeInfo": "string"
}